﻿@model Mandiri.Lelang.ViewModel.Web.LoginViewModel
@using BotDetect.Web.Mvc;

@section head
{
    <link href="@BotDetect.Web.CaptchaUrls.Absolute.LayoutStyleSheetUrl" rel="stylesheet" type="text/css" />
    <script src='https://www.google.com/recaptcha/api.js'></script>
}

<div class="container">
    <ol class="breadcrumb">
        <li><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
        <li><a href="/member/login">Login</a></li>
    </ol>
    <div class="col-lg-6">
        <div class="well bs-component">
            @using (Html.BeginForm("SubmitLoginForm", "Member", FormMethod.Post, new { id = "addForm", role = "form", autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                <fieldset>
                    <legend>Login</legend>
                    <div style="margin: 15px;">
                        <div class="form-group">
                            @Html.LabelFor(m => m.Email, new { @class = "control-label" })
                            @Html.TextBoxFor(m => m.Email, new { placeholder = "Harus Diisi", @class = "form-control", autofocus = "autofocus", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.Email, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group" style="width: 280px;">
                            @Html.LabelFor(m => m.Password, new { @class = "control-label" })
                            @Html.PasswordFor(m => m.Password, new { placeholder = "Harus Diisi", @class = "form-control", data_toggle = "password" })
                            @Html.ValidationMessageFor(m => m.Password, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="g-recaptcha" data-sitekey=@System.Configuration.ConfigurationManager.AppSettings["RecaptchaPublicKey"]></div>        
                       @*@{
                MvcCaptcha MandiriCaptcha = new MvcCaptcha("MandiriCaptcha"); 
                            @Html.Captcha(MandiriCaptcha)
                            <br />
                            @Html.TextBoxFor(m => m.CaptchaCode, new { placeholder = "Harus Diisi", @class = "form-control", style = "max-width: 280px;" })
                            @Html.ValidationMessageFor(m => m.CaptchaCode, null, new { @class = "help-block", style = "color: red !important;" })
                        }*@
                        <div class="form-group">
                            <label class="checkbox">
                                @Html.CheckBoxFor(m => m.RememberMe)@Html.DisplayNameFor(m => m.RememberMe)
                            </label>
                            @Html.ValidationMessageFor(m => m.RememberMe, null, new { @class = "help-block", style = "color: red !important;" })
                        </div>
                        <div class="form-group">
                            <div>
                                <button type="submit" class="btn btn-primary">Login</button>
                            </div>
                        </div>
                        @Html.ValidationSummary(null, new { style = "color: red !important;" })
                        @if (Model.IsLoginSuccess)
                        {
                            <div class="alert alert-success" role="alert">Terima kasih.</div>
                        }
                        @if (bool.Parse(System.Configuration.ConfigurationManager.AppSettings["EnableFBLogin"]))
                        {
                            <a href='@Url.Action("Facebook", "Member")'>
                                <img src="/img/facebook-login-blue.png" alt="Login with Facebook." style="width: 208px; height: 50px;" />
                            </a>
                        }
                        <br />
                        <br />
                        <div>
                            @Html.ActionLink("Lupa Password?", "forgot", "member", null, htmlAttributes: new { @class = "text-primary" })
                        </div>
                        <div>
                            @Html.ActionLink("Belum Menjadi Member?", "register", "member", null, htmlAttributes: new { @class = "text-primary" })
                        </div>
                    </div>
                </fieldset>
            }
        </div>
    </div>
</div>
